import React from "react";
interface AuthProps {
    cookieName: string;
    children: any;
}
/**
 * AuthProvider, Context provider that passes the auth down to the components
 * @param cookieName - Name of the auth Cookie. Default: '_user'
 * @param cookieDomain - Domain of the auth Cookie. Default: window.location.host
 * @param children - React.Component | React.FunctionalComponent
 * @constructor
 */
declare const AuthProvider: React.FunctionComponent<AuthProps>;
export default AuthProvider;
